## gate.gui
Class DocumentEditor.EventsHandler.NodeRemover

    java.lang.Object
      |
      +--gate.gui.DocumentEditor.EventsHandler.NodeRemover

All Implemented Interfaces:
  Runnable

Enclosing class:
  DocumentEditor.EventsHandler

class DocumentEditor.EventsHandler.NodeRemover
extends Object
implements Runnable

Helper class that removes one node from the types tree.

Field Summary
`(package private) DefaultMutableTreeNode` `node`

Constructor Summary
`(package private)` `DocumentEditor.EventsHandler.NodeRemover(DefaultMutableTreeNode node)`

Method Summary
`void` `run()`

Methods inherited from class java.lang.Object
`<clinit>, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### node

    DefaultMutableTreeNode node

Constructor Detail

### DocumentEditor.EventsHandler.NodeRemover

    DocumentEditor.EventsHandler.NodeRemover(DefaultMutableTreeNode node)

Method Detail

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`